Name:       pylint
Summary:    Extensible Python source code checker
Version:    1.0.0
Release:    %mkrel 4
Source0:    http://download.logilab.org/pub/%{name}/%{name}-%{version}.tar.gz
Patch0:     0001-Add-upstream-patch-for-epylint-981859.patch
License:    GPLv2+
Group:      Development/Python
Url:        http://www.logilab.org/
Requires:   python-logilab-common >= 0.60.0
Requires:   python-astroid >= 1.0.0
BuildArch:  noarch
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools

%description
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in code are actually implemented, and much
more. One can easily extend PyLint with plugins.

%package -n %{name}-gui
Summary:    Graphical User Interface for Pylint
Requires:   tkinter
Requires:   pylint

%description -n %{name}-gui
This package provides a gui tool for pylint written in tkinter.

%package -n python3-%{name}
Summary:    Extensible Python source code checker
Requires:   python3-logilab-common >= 0.60.0
Requires:   python3-logilab-astng >= 0.24.3

%description -n python3-%{name}
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in code are actually implemented, and much
more. One can easily extend PyLint with plugins.

This is a version for Python 3.

%package -n python3-%{name}-gui
Summary:    Graphical User Interface for PylintExtensible Python source code checker
Requires:   tkinter3
Requires:   python3-pylint

%description -n python3-%{name}-gui
This package provides a gui tool for pylint written in tkinter.

This is a version for Python 3.

%prep
%setup -q

# py3k prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

# py3k build
pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%{__python} setup.py test

# py3k check
pushd %{py3dir}
%{__python3} setup.py test
popd

%install
rm -rf %{buildroot}

# py3k install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/pylint/test
mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/
# Add python3- to the binaries
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
# Add python3- to the manpages
for FILE in %{buildroot}%{_mandir}/man1/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_mandir}/man1/python3-$NAME
done
popd

# py2 install
%{__python} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python_sitelib}/pylint/test
mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/

#%%__lzma -z man/pylint.1
#%%__install -d -m 755 %{buildroot}%{_mandir}/man1
#%%__install -m 644 man/pylint.1.lzma %{buildroot}%{_mandir}/man1

%__install -d -m 755 %{buildroot}%{_sysconfdir}
%__install -m 644 ./examples/pylintrc %{buildroot}%{_sysconfdir}

%__install -d -m 755 %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 ./elisp/pylint.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/*
%{python_sitelib}/pylint*
%{_mandir}/man?/*
%exclude %{_bindir}/python3-*
%exclude %{_bindir}/pylint-gui
%exclude %{python_sitelib}/pylint/gui.py*
%config(noreplace) %_sysconfdir/pylintrc
%config(noreplace) %_sysconfdir/emacs/site-start.d/pylint.el

%files -n %{name}-gui
%doc README COPYING ChangeLog doc/ examples/
%{_bindir}/python3-pylint-gui
%{python_sitelib}/pylint/gui.py*

%files -n python3-%{name}
%doc README COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/python3-*
%{python3_sitelib}/pylint*
%{_mandir}/man?/python3*
%exclude %{_bindir}/python3-pylint-gui
%exclude %{python3_sitelib}/pylint/gui.py*
%config(noreplace) %_sysconfdir/pylintrc
%config(noreplace) %_sysconfdir/emacs/site-start.d/pylint.el

%files -n python3-%{name}-gui
%doc COPYING
%{_bindir}/python3-pylint-gui
%{python3_sitelib}/pylint/gui.py*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 542909
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-3.mga4
+ Revision: 498048
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-2.mga4
+ Revision: 490571
- fix requires on python3 Tkinter

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490415
- new version 1.0.0
- split gui from main package
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.26.0-2.mga3
+ Revision: 378415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.26.0-1.mga3
+ Revision: 319865
- new version 0.26.0

* Mon Aug 20 2012 grenoya <grenoya> 0.25.2-1.mga3
+ Revision: 282690
- new version 0.25.2

* Thu Feb 23 2012 kharec <kharec> 0.25.1-1.mga2
+ Revision: 212510
- fix source0
- new version 0.25.1

* Sat Oct 08 2011 grenoya <grenoya> 0.25.0-1.mga2
+ Revision: 152991
- update to new version 0.25.0

* Tue Sep 06 2011 grenoya <grenoya> 0.24.0-1.mga2
+ Revision: 139542
- clean spec
- imported package pylint


* Fri Aug 05 2011 Lev Givon <lev@mandriva.org> 0.24.0-1mdv2012.0
+ Revision: 693332
- Update to 0.24.0.

* Thu Feb 17 2011 Lev Givon <lev@mandriva.org> 0.23.0-1
+ Revision: 638259
- Update to 0.23.0.

* Tue Nov 30 2010 Lev Givon <lev@mandriva.org> 0.22.0-1mdv2011.0
+ Revision: 603779
- Update to 0.22.0.

* Mon Nov 08 2010 Lev Givon <lev@mandriva.org> 0.21.4-1mdv2011.0
+ Revision: 595120
- Update to 0.21.4.
- Update to 0.21.3.

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.21.2-2mdv2011.0
+ Revision: 592425
- rebuild for python 2.7

* Mon Aug 30 2010 Lev Givon <lev@mandriva.org> 0.21.2-1mdv2011.0
+ Revision: 574479
- Update to 0.21.2.

* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 0.21.1-1mdv2011.0
+ Revision: 562815
- Update to 0.21.1.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 0.21.0-1mdv2011.0
+ Revision: 546544
- Update to 0.21.0.

* Sun Apr 04 2010 Lev Givon <lev@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 531444
- Update to 0.20.0.

* Sun Dec 20 2009 Lev Givon <lev@mandriva.org> 0.19.0-1mdv2010.1
+ Revision: 480426
- Update to 0.19.0.

* Thu Nov 12 2009 Lev Givon <lev@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 465477
- Update to 0.18.1.

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 0.18.0-3mdv2010.0
+ Revision: 372589
- Make package own %%py_sitedir/pylint.

* Sun Apr 19 2009 Lev Givon <lev@mandriva.org> 0.18.0-2mdv2009.1
+ Revision: 368051
- Bump release.

* Sun Apr 19 2009 Lev Givon <lev@mandriva.org> 0.18.0-1mdv2009.1
+ Revision: 368022
- Update to 0.18.0.

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 341497
- New upstream release

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 0.15.2-2mdv2009.1
+ Revision: 325999
- rebuild

* Tue Nov 04 2008 Lev Givon <lev@mandriva.org> 0.15.2-1mdv2009.1
+ Revision: 299695
- Update to 0.15.2.

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.14.0-4mdv2009.0
+ Revision: 259424
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.14.0-3mdv2009.0
+ Revision: 247284
- rebuild

* Tue Feb 19 2008 Lev Givon <lev@mandriva.org> 0.14.0-1mdv2008.1
+ Revision: 172408
- Update to 0.14.0.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Lev Givon <lev@mandriva.org> 0.13.2-1mdv2008.0
+ Revision: 50548
- Update to 0.13.2.

* Wed Apr 18 2007 Lev Givon <lev@mandriva.org> 0.13.1-1mdv2008.0
+ Revision: 14826
- Import pylint



* Wed Mar 21 2007 Lev Givon <lev@mandriva.org> 0.13.1-1mdv2007.0
- Initial Mandriva package.
